#
# spec file for package python-sphinx_rtd_theme
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinx_rtd_theme
Version:        0.1.8
Release:        14.1
Summary:        ReadTheDocs.org theme for Sphinx
License:        MIT and Apache-2.0 and OFL-1.1
Group:          Development/Languages/Python
Url:            https://github.com/snide/sphinx_rtd_theme/
Source:         https://pypi.io/packages/source/s/sphinx_rtd_theme/sphinx_rtd_theme-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
This is a prototype mobile-friendly sphinx theme I made for readthedocs.org. It's
currently in development and includes some rtd variable checks that can be ignored
if you're just trying to use it on your project outside of that site.

%prep
%setup -q -n sphinx_rtd_theme-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE OFL-License.txt Apache-License-2.0.txt README.rst
%{python_sitelib}/*

%changelog
* Wed Apr 12 2017 toddrme2178@gmail.com
- Fix python_module macro definition.
* Mon Dec 19 2016 jmatejek@suse.com
- update for multipython build
* Mon Jul 18 2016 dmueller@suse.com
- update license
* Mon Jul 18 2016 tbechtold@suse.com
- Use pypi.io for Source url
* Wed May 13 2015 benoit.monin@gmx.fr
- update to version 0.1.8:
  * Start keeping changelog :)
  * Add support for Sphinx 1.3
  * Add sidebar headers for :caption: in Sphinx toctree
  * Clean up sidebar scrolling behavior so it never scrolls
    out of view
* Tue Jun 10 2014 prusnak@opensuse.org
- created package (version 0.1.6)
